- Main Page
- Namespaces
- Classes
- Files

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# Ipopt::MultiVectorMatrixSpace Class Reference

This is the matrix space for MultiVectorMatrix. More...

`#include <IpMultiVectorMatrix.hpp>`

Inheritance diagram for Ipopt::MultiVectorMatrixSpace:

[legend]
Collaboration diagram for Ipopt::MultiVectorMatrixSpace:

[legend]
List of all members.

## Public Member Functions
MultiVectorMatrix * | MakeNewMultiVectorMatrix () const
| Method for creating a new matrix of this specific type.
virtual Matrix * | MakeNew () const
| Overloaded MakeNew method for the MatrixSpace base class.
SmartPtr< const VectorSpace > | ColVectorSpace () const
| Accessor method for the VectorSpace for the columns.
Constructors / Destructors
| MultiVectorMatrixSpace (Index ncols, const VectorSpace &vec_space)
| Constructor, given the number of columns (i.e., Vectors to be stored) and given the VectorSpace for the Vectors.
| ~MultiVectorMatrixSpace ()
| Destructor.
## Private Attributes
SmartPtr< const VectorSpace > | vec_space_

## Detailed Description

This is the matrix space for MultiVectorMatrix.

Definition at line 180 of file IpMultiVectorMatrix.hpp.

## Constructor & Destructor Documentation

Ipopt::MultiVectorMatrixSpace::MultiVectorMatrixSpace | ( | Index | ncols,
|  | const VectorSpace & | vec_space |
| ) |  |  |

Constructor, given the number of columns (i.e., Vectors to be stored) and given the VectorSpace for the Vectors.

Ipopt::MultiVectorMatrixSpace::~MultiVectorMatrixSpace | ( |  | ) | `[inline]`

Destructor.

Definition at line 192 of file IpMultiVectorMatrix.hpp.

## Member Function Documentation

MultiVectorMatrix* Ipopt::MultiVectorMatrixSpace::MakeNewMultiVectorMatrix | ( |  | ) | const`[inline]`

Method for creating a new matrix of this specific type.

Definition at line 197 of file IpMultiVectorMatrix.hpp.

Referenced by MakeNew(), and Ipopt::MultiVectorMatrix::MakeNewMultiVectorMatrix().

virtual Matrix* Ipopt::MultiVectorMatrixSpace::MakeNew | ( |  | ) | const`[inline, virtual]`

Overloaded MakeNew method for the MatrixSpace base class.

Implements Ipopt::MatrixSpace.

Definition at line 204 of file IpMultiVectorMatrix.hpp.

References MakeNewMultiVectorMatrix().

SmartPtr<const VectorSpace> Ipopt::MultiVectorMatrixSpace::ColVectorSpace | ( |  | ) | const`[inline]`

Accessor method for the VectorSpace for the columns.

Definition at line 210 of file IpMultiVectorMatrix.hpp.

References vec_space_.

Referenced by Ipopt::MultiVectorMatrix::ColVectorSpace().

## Member Data Documentation

SmartPtr<const VectorSpace> Ipopt::MultiVectorMatrixSpace::vec_space_`[private]`

Definition at line 216 of file IpMultiVectorMatrix.hpp.

Referenced by ColVectorSpace().

The documentation for this class was generated from the following file:

- /home/coin/SVN-release/Ipopt-3.2.1/Ipopt/src/LinAlg/IpMultiVectorMatrix.hpp